nvmlEncoderSessionInfo_t(3)

NAME
nvmlEncoderSessionInfo_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

unsigned int sessionId
Unique session ID.
unsigned int pid
Owning process ID.
nvmlVgpuInstance_t vgpuInstance
Owning vGPU instance ID (only valid on vGPU hosts, otherwise zero).
nvmlEncoderType_t codecType
Video encoder type.
unsigned int hResolution
Current encode horizontal resolution.
unsigned int vResolution
Current encode vertical resolution.
unsigned int averageFps
Moving average encode frames per second.
unsigned int averageLatency
Moving average encode latency in microseconds.

Detailed Description

Structure to hold encoder session data

Author

Generated automatically by Doxygen for NVML from the source code.